unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PSetting, Db, Grids, DBGrids, StdCtrls, ComCtrls, ExtCtrls, DBTables;

type
  TForm1 = class(TForm)
    fstMain: TPFormSettings;
    tblPreferences: TTable;
    dtsPreferences: TDataSource;
    Label1: TLabel;
    Panel1: TPanel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    UpDown1: TUpDown;
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    DBGrid1: TDBGrid;
    tblPreferencesUserName: TStringField;
    tblPreferencesPreferences: TBlobField;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.Button2Click(Sender: TObject);
var
    tempStream : TBlobStream;
begin
    tblPreferences.Edit;
    tempStream := TBlobStream.Create( tblPreferencesPreferences, bmWrite );

    try
        fstMain.SaveToStream( tempStream, '' );
        tblPreferencesPreferences.Modified := TRUE;
        tblPreferences.Post;
    finally
        tempStream.Free;
    end;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
    tempStream : TBlobStream;
begin
    tblPreferences.Edit;
    tempStream := TBlobStream.Create( tblPreferencesPreferences, bmReadWrite );

    try
        fstMain.RestoreFromStream( tempStream );
        tblPreferences.Cancel;
    finally
        tempStream.Free;
    end;
end;


procedure TForm1.FormShow(Sender: TObject);
begin
    tblPreferences.Open;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    tblPreferences.Close;
end;

end.
