unit Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PSetting, StdCtrls;

type
  TfrmOptions = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    frmsOptions: TPFormSettings;
    dlgColor: TColorDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOptions: TfrmOptions;

implementation

uses DataMod;

{$R *.DFM}

procedure TfrmOptions.Button1Click(Sender: TObject);
begin
    dlgColor.Color := Label1.Font.Color;
    if ( dlgColor.Execute = TRUE ) then
    begin
        Label1.Font.Color := dlgColor.Color;
    end;
end;

procedure TfrmOptions.Button2Click(Sender: TObject);
begin
    {dtmMain.appsMain['Font Color'].AsInteger := Label1.Font.Color;}
    frmsOptions.UpdateToAppSettings; 
    Close;
end;

end.
